Create a project
POST
/v1/organisations/{id}/projectsOperation projects.create · since 2026-11-05 · stable
Needs a session withwritescopeAnswers201 Created
Path parameters
- idstring (uuid)required
- The organisation id.
Body (JSON)
- namestring, 1 to 60required
- The project's name.
- descriptionstring, up to 300optional
- What it is.
- requireProductionApprovalbooleanoptional
- Changes in its production environments need a second maintainer.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
POST/v1/organisations/{id}/projects
curl -X POST "https://api.rykloud.com/v1/organisations/$ORG_ID/projects" \
-H "Authorization: Bearer $RYKLOUD_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "web",
"description": "The storefront and its API"
}'With the rykloud CLI
rykloud projects create NAME [flags]Command reference: rykloud projects create